(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./Vector3d.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Vector = void 0;
    const Vector3d_js_1 = require("./Vector3d.js");
    const origin = {
        x: 0,
        y: 0,
        z: 0,
    };
    class Vector extends Vector3d_js_1.Vector3d {
        constructor(xOrCoords, y) {
            super(xOrCoords, y, origin.z);
        }
        static get origin() {
            return Vector.create(origin.x, origin.y);
        }
        static clone(source) {
            return Vector.create(source.x, source.y);
        }
        static create(x, y) {
            return new Vector(x, y);
        }
    }
    exports.Vector = Vector;
});
